%define module	MIME-tools
%define name	perl-%{module}
%define version	5.417
%define release	1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl modules for parsing (and creating!) MIME entities
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/D/DS/DSKOLL/%{module}-%{version}.tar.bz2
Requires:	perl-IO-stringy >= 1.211
Requires:	perl-MailTools >= 1.15
Requires:	perl(MIME::Base64) >= 3.03
BuildRequires:	perl-devel
BuildRequires:	perl-IO-stringy >= 1.211
BuildRequires:	perl-MailTools >= 1.15
BuildRequires:	perl(MIME::Base64) >= 3.03
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
MIME-tools - modules for parsing (and creating!) MIME entities Modules in this
toolkit : Abstract message holder (file, scalar, etc.), OO interface for
decoding MIME messages, an extracted and decoded MIME entity, Mail::Field
subclasses for parsing fields, a parsed MIME header (Mail::Header subclass),
parser and tool for building your own MIME parser, and utilities.

%prep
%setup -q -n %{module}-%{version}

%build
rm -f set-version.pl
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%install
rm -rf %{buildroot}
%makeinstall_std 
%{__chmod} 0644 %{buildroot}%{_mandir}/*/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{perl_vendorlib}/MIME
%{_mandir}/*/*

%changelog
* Sat Jan 29 2005 Guillaume Rousse <guillomovitch@mandrake.org> 5.417-1mdk 
- new version
- spec cleanup

* Fri Jan 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.416-1mdk
- 5.416

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 5.415-1mdk
- New version 5.415
- Update dependency on MIME::Base64

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.411-7mdk
- own dir
- rebuild

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.411-6mdk
- rebuild against new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.411-5mdk
- rebuild for new auto{prov,req}

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 5.411-4mdk
-rebuild for perl 5.8.0

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 5.411-3mdk
- added url tag.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 5.411-2mdk
- BuildRequires: perl-devel

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 5.411-1mdk
- 5.411.

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 5.410-2mdk
- Rebuild for the latest perl.

* Tue Dec 05 2000 Franois Pons <fpons@mandrakesoft.com> 5.410-1mdk
- added missing Requires and BuildRequires.
- 5.410.

* Thu Oct 12 2000 Franois Pons <fpons@mandrakesoft.com> 5.316-1mdk
- 5.316.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 5.311-1mdk
- 5.311.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 5.306-2mdk
- Oops, added missing clean.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 5.306-1mdk
- macroszifications.
- added doc.
- noarch.
- 5.306.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 5.304-1mdk
- 5.304.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 4.124-2mdk
- fixed group
- rebuild with new perl
- fixed location

* Thu Dec  2 1999 Jerome Dumonteil <jd@mandrakesoft.com>

- first version of rpm.
